org.apache.xalan.xsltc.compiler

## Interface Constants

All Superinterfaces:
  org.apache.bcel.generic.InstructionConstants

All Known Implementing Classes:
  AttributeSetMethodGenerator, BooleanType, CompareGenerator, IntType, LocationPathPattern, MatchGenerator, MethodGenerator, MethodType, NamedMethodGenerator, NodeSetType, NodeType, NumberType, ObjectType, Parser, Pattern, RealType, ReferenceType, ResultTreeType, RtMethodGenerator, StringType, Stylesheet, SyntaxTreeNode, Template, TestGenerator, Type, VoidType

    public interface Constants
    extends org.apache.bcel.generic.InstructionConstants

Author:
  Jacek Ambroziak, Santiago Pericas-Geertsen

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.bcel.generic.InstructionConstants

`org.apache.bcel.generic.InstructionConstants.Clinit`

### Field Summary

Fields
`static java.lang.String` `ABSOLUTE_ITERATOR`
`static int` `ACC_FINAL`
`static int` `ACC_PRIVATE`
`static int` `ACC_PROTECTED`
`static int` `ACC_PUBLIC`
`static int` `ACC_STATIC`
`static int` `ACC_SUPER`
`static java.lang.String` `ADD_ATTRIBUTE`
`static java.lang.String` `ADD_ATTRIBUTE_SIG`
`static java.lang.String` `ADD_ITERATOR`
`static java.lang.String` `ADD_ITERATOR_SIG`
`static java.lang.String` `ADD_PARAMETER`
`static java.lang.String` `ADD_PARAMETER_SIG`
`static java.lang.String` `APPLY_TEMPLATES`
`static java.lang.String` `ATTR_SET_SIG`
`static java.lang.String` `ATTRIBUTE_LIST_FIELD`
`static java.lang.String` `ATTRIBUTE_LIST_IMPL_CLASS`
`static java.lang.String` `ATTRIBUTE_LIST_IMPL_SIG`
`static java.lang.String` `ATTRIBUTES_SIG`
`static java.lang.String` `BASIS_LIBRARY_CLASS`
`static java.lang.String` `BOOLEAN_CLASS`
`static java.lang.String` `BOOLEAN_VALUE`
`static java.lang.String` `BOOLEAN_VALUE_SIG`
`static java.lang.String` `CACHED_NODE_LIST_ITERATOR_CLASS`
`static java.lang.String` `CHARACTERS`
`static java.lang.String` `CHARACTERS_SIG`
`static java.lang.String` `CHARACTERSW`
`static java.lang.String` `CHARACTERSW_SIG`
`static java.lang.String` `CLEAR_ATTRIBUTES`
`static java.lang.String` `CLEAR_ATTRIBUTES_SIG`
`static java.lang.String` `COLLATOR_CLASS`
`static java.lang.String` `COLLATOR_SIG`
`static java.lang.String` `COMPILER_PACKAGE`
`static java.lang.String` `CURRENT_NODE_LIST_FILTER`
`static java.lang.String` `CURRENT_NODE_LIST_FILTER_SIG`
`static java.lang.String` `CURRENT_NODE_LIST_ITERATOR`
`static java.lang.String` `CURRENT_NODE_LIST_ITERATOR_SIG`
`static java.lang.String` `DEFAULT_NODE_COUNTER`
`static java.lang.String` `DEFAULT_NODE_COUNTER_SIG`
`static java.lang.String` `DOCUMENT_PNAME`
`static java.lang.String` `DOM_ADAPTER_CLASS`
`static java.lang.String` `DOM_ADAPTER_SIG`
`static java.lang.String` `DOM_FIELD`
`static java.lang.String` `DOM_IMPL`
`static java.lang.String` `DOM_IMPL_CLASS`
`static java.lang.String` `DOM_IMPL_SIG`
`static java.lang.String` `DOM_INTF`
`static java.lang.String` `DOM_INTF_SIG`
`static java.lang.String` `DOM_PNAME`
`static java.lang.String` `DOUBLE_CLASS`
`static java.lang.String` `DOUBLE_SIG`
`static java.lang.String` `DOUBLE_VALUE`
`static java.lang.String` `DOUBLE_VALUE_SIG`
`static java.lang.String` `DUP_FILTERED_ITERATOR`
`static java.lang.String` `EMPTYATTR_FIELD`
`static java.lang.String` `EMPTYSTRING`
`static int` `ERROR`
`static java.lang.String` `EXPAND_STYLESHEET_QNAME_REF`
`static java.lang.String` `EXPAND_STYLESHEET_QNAME_SIG`
`static java.lang.String` `FALLBACK_CLASS`
`static int` `FATAL`
`static java.lang.String` `FILTER_INTERFACE`
`static java.lang.String` `FILTER_INTERFACE_SIG`
`static java.lang.String` `FILTER_ITERATOR`
`static java.lang.String` `FILTER_STEP_ITERATOR`
`static java.lang.String` `FORMAT_SYMBOLS_FIELD`
`static java.lang.String` `GET_ATTRIBUTE_VALUE`
`static java.lang.String` `GET_ATTRIBUTE_VALUE_SIG`
`static java.lang.String` `GET_CHILDREN`
`static java.lang.String` `GET_CHILDREN_SIG`
`static java.lang.String` `GET_ELEMENT_VALUE`
`static java.lang.String` `GET_ELEMENT_VALUE_SIG`
`static java.lang.String` `GET_ITERATOR_SIG`
`static java.lang.String` `GET_NODE_NAME`
`static java.lang.String` `GET_NODE_NAME_SIG`
`static java.lang.String` `GET_NODE_TYPE`
`static java.lang.String` `GET_NODE_TYPE_SIG`
`static java.lang.String` `GET_NODE_VALUE`
`static java.lang.String` `GET_NODE_VALUE_ITERATOR`
`static java.lang.String` `GET_NODE_VALUE_ITERATOR_SIG`
`static java.lang.String` `GET_NODE_VALUE_SIG`
`static java.lang.String` `GET_PARAMETER`
`static java.lang.String` `GET_PARAMETER_SIG`
`static java.lang.String` `GET_PARENT`
`static java.lang.String` `GET_PARENT_SIG`
`static java.lang.String` `GET_TYPED_CHILDREN`
`static java.lang.String` `GET_TYPED_CHILDREN_SIG`
`static java.lang.String` `GET_UNPARSED_ENTITY_URI`
`static java.lang.String` `GET_UNPARSED_ENTITY_URI_SIG`
`static java.lang.String` `HAS_ATTRIBUTE`
`static java.lang.String` `HAS_ATTRIBUTE_SIG`
`static java.lang.String` `HASIDCALL_INDEX`
`static java.lang.String` `HASIDCALL_INDEX_SIG`
`static java.lang.String` `INT_VALUE`
`static java.lang.String` `INT_VALUE_SIG`
`static java.lang.String` `INTEGER_CLASS`
`static java.lang.String` `INTEGER_SIG`
`static int` `INTERNAL`
`static java.lang.String` `INVOKE_METHOD`
`static java.lang.String` `ITERATOR_FIELD_SIG`
`static java.lang.String` `ITERATOR_PNAME`
`static java.lang.String` `KEY_INDEX_CLASS`
`static java.lang.String` `KEY_INDEX_ITERATOR_SIG`
`static java.lang.String` `KEY_INDEX_SIG`
`static int` `LAST_INDEX`
`static java.lang.String` `LOAD_DOCUMENT_CLASS`
`static java.lang.String` `LOCALE_CLASS`
`static java.lang.String` `LOCALE_SIG`
`static java.lang.String` `LOOKUP_STYLESHEET_QNAME_NS_REF`
`static java.lang.String` `LOOKUP_STYLESHEET_QNAME_NS_SIG`
`static java.lang.String` `MAKE_NODE`
`static java.lang.String` `MAKE_NODE_LIST`
`static java.lang.String` `MAKE_NODE_LIST_SIG`
`static java.lang.String` `MAKE_NODE_LIST_SIG2`
`static java.lang.String` `MAKE_NODE_SIG`
`static java.lang.String` `MAKE_NODE_SIG2`
`static java.lang.String` `MATCHING_ITERATOR`
`static java.lang.String` `MATH_CLASS`
`static java.lang.String` `MULTI_DOM_CLASS`
`static java.lang.String` `MULTI_DOM_SIG`
`static java.lang.String` `NAMES_INDEX`
`static java.lang.String` `NAMES_INDEX_SIG`
`static java.lang.String` `NAMESPACE_FEATURE`
`static java.lang.String` `NAMESPACE_INDEX`
`static java.lang.String` `NAMESPACE_INDEX_SIG`
`static java.lang.String` `NEXT`
`static java.lang.String` `NEXT_SIG`
`static java.lang.String` `NEXTID`
`static java.lang.String` `NODE`
`static java.lang.String` `NODE_COUNTER`
`static java.lang.String` `NODE_COUNTER_SIG`
`static java.lang.String` `NODE_FIELD`
`static java.lang.String` `NODE_FIELD_SIG`
`static java.lang.String` `NODE_ITERATOR`
`static java.lang.String` `NODE_ITERATOR_BASE`
`static java.lang.String` `NODE_ITERATOR_SIG`
`static java.lang.String` `NODE_PNAME`
`static java.lang.String` `NODE_SIG`
`static java.lang.String` `NODE_SORT_FACTORY`
`static java.lang.String` `NODE_SORT_FACTORY_SIG`
`static java.lang.String` `NODE_SORT_RECORD`
`static java.lang.String` `NODE_SORT_RECORD_SIG`
`static java.lang.String` `NS_ANCESTORS_INDEX_SIG`
`static java.lang.String` `NTH_ITERATOR_CLASS`
`static java.lang.String` `OBJECT_CLASS`
`static java.lang.String` `OBJECT_SIG`
`static java.lang.String` `ORDER_ITERATOR`
`static java.lang.String` `ORDER_ITERATOR_SIG`
`static java.lang.String` `OUTPUT_BASE`
`static java.lang.String` `OUTPUT_HANDLER`
`static java.lang.String` `OUTPUT_HANDLER_SIG`
`static java.lang.String` `POP_PARAM_FRAME`
`static java.lang.String` `POP_PARAM_FRAME_SIG`
`static int` `POSITION_INDEX`
`static java.lang.String` `PREFIX_URIS_ARRAY_SIG`
`static java.lang.String` `PREFIX_URIS_IDX_SIG`
`static java.lang.String` `PUSH_PARAM_FRAME`
`static java.lang.String` `PUSH_PARAM_FRAME_SIG`
`static java.lang.String` `REDIRECT_URI`
`static java.lang.String` `RESET`
`static java.lang.String` `RESET_SIG`
`static int` `RTF_INITIAL_SIZE`
`static java.lang.String` `RUNTIME_NODE_CLASS`
`static java.lang.String` `RUNTIME_PACKAGE`
`static java.lang.String` `SAX_IMPL`
`static java.lang.String` `SAX_IMPL_CLASS`
`static java.lang.String` `SAX_IMPL_SIG`
`static java.lang.String` `SET_START_NODE`
`static java.lang.String` `SET_START_NODE_SIG`
`static java.lang.String` `SINGLETON_ITERATOR`
`static java.lang.String` `SORT_ITERATOR`
`static java.lang.String` `SORT_ITERATOR_SIG`
`static java.lang.String` `STATIC_CHAR_DATA_FIELD`
`static java.lang.String` `STATIC_CHAR_DATA_FIELD_SIG`
`static java.lang.String` `STATIC_NAMES_ARRAY_FIELD`
`static java.lang.String` `STATIC_NAMESPACE_ARRAY_FIELD`
`static java.lang.String` `STATIC_NS_ANCESTORS_ARRAY_FIELD`
`static java.lang.String` `STATIC_PREFIX_URIS_ARRAY_FIELD`
`static java.lang.String` `STATIC_PREFIX_URIS_IDX_ARRAY_FIELD`
`static java.lang.String` `STATIC_TYPES_ARRAY_FIELD`
`static java.lang.String` `STATIC_URIS_ARRAY_FIELD`
`static java.lang.String` `STEP_ITERATOR_CLASS`
`static java.lang.String` `STREAM_XML_OUTPUT`
`static java.lang.String` `STRING`
`static java.lang.String` `STRING_BUFFER_CLASS`
`static java.lang.String` `STRING_BUFFER_SIG`
`static java.lang.String` `STRING_CLASS`
`static java.lang.String` `STRING_SIG`
`static java.lang.String` `STRING_TO_INT`
`static java.lang.String` `STRING_TO_INT_SIG`
`static java.lang.String` `STRING_TO_REAL`
`static java.lang.String` `STRING_TO_REAL_SIG`
`static java.lang.String` `STRING_VALUE_HANDLER`
`static java.lang.String` `STRING_VALUE_HANDLER_SIG`
`static java.lang.String` `STRING_WRITER`
`static java.lang.String` `STRIP_SPACE`
`static java.lang.String` `STRIP_SPACE_INTF`
`static java.lang.String` `STRIP_SPACE_PARAMS`
`static java.lang.String` `STRIP_SPACE_SIG`
`static java.lang.String` `TRANSLET_CLASS`
`static java.lang.String` `TRANSLET_FIELD`
`static java.lang.String` `TRANSLET_FIELD_SIG`
`static java.lang.String` `TRANSLET_INTF`
`static java.lang.String` `TRANSLET_INTF_SIG`
`static java.lang.String` `TRANSLET_OUTPUT_BASE`
`static java.lang.String` `TRANSLET_OUTPUT_INTERFACE`
`static java.lang.String` `TRANSLET_OUTPUT_PNAME`
`static java.lang.String` `TRANSLET_OUTPUT_SIG`
`static java.lang.String` `TRANSLET_PNAME`
`static java.lang.String` `TRANSLET_SIG`
`static java.lang.String` `TRANSLET_URI`
`static java.lang.String` `TRANSLET_VERSION_INDEX`
`static java.lang.String` `TRANSLET_VERSION_INDEX_SIG`
`static java.lang.String` `TYPES_INDEX`
`static java.lang.String` `TYPES_INDEX_SIG`
`static java.lang.String` `UNION_ITERATOR_CLASS`
`static java.lang.String` `UNION_ITERATOR_SIG`
`static int` `UNSUPPORTED`
`static java.lang.String` `URIS_INDEX`
`static java.lang.String` `URIS_INDEX_SIG`
`static int` `WARNING`
`static java.lang.String` `WRITER_SIG`
`static java.lang.String` `XHTML_URI`
`static java.lang.String` `XMLNS_PREFIX`
`static java.lang.String` `XMLNS_STRING`
`static java.lang.String` `XMLNS_URI`
`static java.lang.String` `XSLT_PACKAGE`
`static java.lang.String` `XSLT_URI`

### Fields inherited from interface org.apache.bcel.generic.InstructionConstants

`AALOAD, AASTORE, ACONST_NULL, ALOAD_0, ALOAD_1, ALOAD_2, ARETURN, ARRAYLENGTH, ASTORE_0, ASTORE_1, ASTORE_2, ATHROW, BALOAD, BASTORE, bla, CALOAD, CASTORE, D2F, D2I, D2L, DADD, DALOAD, DASTORE, DCMPG, DCMPL, DCONST_0, DCONST_1, DDIV, DMUL, DNEG, DREM, DRETURN, DSUB, DUP, DUP_X1, DUP_X2, DUP2, DUP2_X1, DUP2_X2, F2D, F2I, F2L, FADD, FALOAD, FASTORE, FCMPG, FCMPL, FCONST_0, FCONST_1, FCONST_2, FDIV, FMUL, FNEG, FREM, FRETURN, FSUB, I2B, I2C, I2D, I2F, I2L, I2S, IADD, IALOAD, IAND, IASTORE, ICONST_0, ICONST_1, ICONST_2, ICONST_3, ICONST_4, ICONST_5, ICONST_M1, IDIV, ILOAD_0, ILOAD_1, ILOAD_2, IMUL, INEG, INSTRUCTIONS, IOR, IREM, IRETURN, ISHL, ISHR, ISTORE_0, ISTORE_1, ISTORE_2, ISUB, IUSHR, IXOR, L2D, L2F, L2I, LADD, LALOAD, LAND, LASTORE, LCMP, LCONST_0, LCONST_1, LDIV, LMUL, LNEG, LOR, LREM, LRETURN, LSHL, LSHR, LSUB, LUSHR, LXOR, MONITORENTER, MONITOREXIT, NOP, POP, POP2, RETURN, SALOAD, SASTORE, SWAP, THIS`

### Field Detail

#### INTERNAL

    static final int INTERNAL

See Also:
  Constant Field Values

#### UNSUPPORTED

    static final int UNSUPPORTED

See Also:
  Constant Field Values

#### FATAL

    static final int FATAL

See Also:
  Constant Field Values

#### ERROR

    static final int ERROR

See Also:
  Constant Field Values

#### WARNING

    static final int WARNING

See Also:
  Constant Field Values

#### EMPTYSTRING

    static final java.lang.String EMPTYSTRING

See Also:
  Constant Field Values

#### NAMESPACE_FEATURE

    static final java.lang.String NAMESPACE_FEATURE

See Also:
  Constant Field Values

#### TRANSLET_INTF

    static final java.lang.String TRANSLET_INTF

See Also:
  Constant Field Values

#### TRANSLET_INTF_SIG

    static final java.lang.String TRANSLET_INTF_SIG

See Also:
  Constant Field Values

#### ATTRIBUTES_SIG

    static final java.lang.String ATTRIBUTES_SIG

See Also:
  Constant Field Values

#### NODE_ITERATOR_SIG

    static final java.lang.String NODE_ITERATOR_SIG

See Also:
  Constant Field Values

#### DOM_INTF_SIG

    static final java.lang.String DOM_INTF_SIG

See Also:
  Constant Field Values

#### DOM_IMPL_CLASS

    static final java.lang.String DOM_IMPL_CLASS

See Also:
  Constant Field Values

#### SAX_IMPL_CLASS

    static final java.lang.String SAX_IMPL_CLASS

See Also:
  Constant Field Values

#### DOM_IMPL_SIG

    static final java.lang.String DOM_IMPL_SIG

See Also:
  Constant Field Values

#### SAX_IMPL_SIG

    static final java.lang.String SAX_IMPL_SIG

See Also:
  Constant Field Values

#### DOM_ADAPTER_CLASS

    static final java.lang.String DOM_ADAPTER_CLASS

See Also:
  Constant Field Values

#### DOM_ADAPTER_SIG

    static final java.lang.String DOM_ADAPTER_SIG

See Also:
  Constant Field Values

#### MULTI_DOM_CLASS

    static final java.lang.String MULTI_DOM_CLASS

See Also:
  Constant Field Values

#### MULTI_DOM_SIG

    static final java.lang.String MULTI_DOM_SIG

See Also:
  Constant Field Values

#### STRING

    static final java.lang.String STRING

See Also:
  Constant Field Values

#### ACC_PUBLIC

    static final int ACC_PUBLIC

See Also:
  Constant Field Values

#### ACC_SUPER

    static final int ACC_SUPER

See Also:
  Constant Field Values

#### ACC_FINAL

    static final int ACC_FINAL

See Also:
  Constant Field Values

#### ACC_PRIVATE

    static final int ACC_PRIVATE

See Also:
  Constant Field Values

#### ACC_PROTECTED

    static final int ACC_PROTECTED

See Also:
  Constant Field Values

#### ACC_STATIC

    static final int ACC_STATIC

See Also:
  Constant Field Values

#### STRING_SIG

    static final java.lang.String STRING_SIG

See Also:
  Constant Field Values

#### STRING_BUFFER_SIG

    static final java.lang.String STRING_BUFFER_SIG

See Also:
  Constant Field Values

#### OBJECT_SIG

    static final java.lang.String OBJECT_SIG

See Also:
  Constant Field Values

#### DOUBLE_SIG

    static final java.lang.String DOUBLE_SIG

See Also:
  Constant Field Values

#### INTEGER_SIG

    static final java.lang.String INTEGER_SIG

See Also:
  Constant Field Values

#### COLLATOR_CLASS

    static final java.lang.String COLLATOR_CLASS

See Also:
  Constant Field Values

#### COLLATOR_SIG

    static final java.lang.String COLLATOR_SIG

See Also:
  Constant Field Values

#### NODE

    static final java.lang.String NODE

See Also:
  Constant Field Values

#### NODE_ITERATOR

    static final java.lang.String NODE_ITERATOR

See Also:
  Constant Field Values

#### NODE_ITERATOR_BASE

    static final java.lang.String NODE_ITERATOR_BASE

See Also:
  Constant Field Values

#### SORT_ITERATOR

    static final java.lang.String SORT_ITERATOR

See Also:
  Constant Field Values

#### SORT_ITERATOR_SIG

    static final java.lang.String SORT_ITERATOR_SIG

See Also:
  Constant Field Values

#### NODE_SORT_RECORD

    static final java.lang.String NODE_SORT_RECORD

See Also:
  Constant Field Values

#### NODE_SORT_FACTORY

    static final java.lang.String NODE_SORT_FACTORY

See Also:
  Constant Field Values

#### NODE_SORT_RECORD_SIG

    static final java.lang.String NODE_SORT_RECORD_SIG

See Also:
  Constant Field Values

#### NODE_SORT_FACTORY_SIG

    static final java.lang.String NODE_SORT_FACTORY_SIG

See Also:
  Constant Field Values

#### LOCALE_CLASS

    static final java.lang.String LOCALE_CLASS

See Also:
  Constant Field Values

#### LOCALE_SIG

    static final java.lang.String LOCALE_SIG

See Also:
  Constant Field Values

#### STRING_VALUE_HANDLER

    static final java.lang.String STRING_VALUE_HANDLER

See Also:
  Constant Field Values

#### STRING_VALUE_HANDLER_SIG

    static final java.lang.String STRING_VALUE_HANDLER_SIG

See Also:
  Constant Field Values

#### OUTPUT_HANDLER

    static final java.lang.String OUTPUT_HANDLER

#### OUTPUT_HANDLER_SIG

    static final java.lang.String OUTPUT_HANDLER_SIG

#### FILTER_INTERFACE

    static final java.lang.String FILTER_INTERFACE

See Also:
  Constant Field Values

#### FILTER_INTERFACE_SIG

    static final java.lang.String FILTER_INTERFACE_SIG

See Also:
  Constant Field Values

#### UNION_ITERATOR_CLASS

    static final java.lang.String UNION_ITERATOR_CLASS

See Also:
  Constant Field Values

#### STEP_ITERATOR_CLASS

    static final java.lang.String STEP_ITERATOR_CLASS

See Also:
  Constant Field Values

#### CACHED_NODE_LIST_ITERATOR_CLASS

    static final java.lang.String CACHED_NODE_LIST_ITERATOR_CLASS

See Also:
  Constant Field Values

#### NTH_ITERATOR_CLASS

    static final java.lang.String NTH_ITERATOR_CLASS

See Also:
  Constant Field Values

#### ABSOLUTE_ITERATOR

    static final java.lang.String ABSOLUTE_ITERATOR

See Also:
  Constant Field Values

#### DUP_FILTERED_ITERATOR

    static final java.lang.String DUP_FILTERED_ITERATOR

See Also:
  Constant Field Values

#### CURRENT_NODE_LIST_ITERATOR

    static final java.lang.String CURRENT_NODE_LIST_ITERATOR

See Also:
  Constant Field Values

#### CURRENT_NODE_LIST_FILTER

    static final java.lang.String CURRENT_NODE_LIST_FILTER

See Also:
  Constant Field Values

#### CURRENT_NODE_LIST_ITERATOR_SIG

    static final java.lang.String CURRENT_NODE_LIST_ITERATOR_SIG

See Also:
  Constant Field Values

#### CURRENT_NODE_LIST_FILTER_SIG

    static final java.lang.String CURRENT_NODE_LIST_FILTER_SIG

See Also:
  Constant Field Values

#### FILTER_STEP_ITERATOR

    static final java.lang.String FILTER_STEP_ITERATOR

See Also:
  Constant Field Values

#### FILTER_ITERATOR

    static final java.lang.String FILTER_ITERATOR

See Also:
  Constant Field Values

#### SINGLETON_ITERATOR

    static final java.lang.String SINGLETON_ITERATOR

See Also:
  Constant Field Values

#### MATCHING_ITERATOR

    static final java.lang.String MATCHING_ITERATOR

See Also:
  Constant Field Values

#### NODE_SIG

    static final java.lang.String NODE_SIG

See Also:
  Constant Field Values

#### GET_PARENT

    static final java.lang.String GET_PARENT

See Also:
  Constant Field Values

#### GET_PARENT_SIG

    static final java.lang.String GET_PARENT_SIG

See Also:
  Constant Field Values

#### NEXT_SIG

    static final java.lang.String NEXT_SIG

See Also:
  Constant Field Values

#### NEXT

    static final java.lang.String NEXT

See Also:
  Constant Field Values

#### NEXTID

    static final java.lang.String NEXTID

See Also:
  Constant Field Values

#### MAKE_NODE

    static final java.lang.String MAKE_NODE

See Also:
  Constant Field Values

#### MAKE_NODE_LIST

    static final java.lang.String MAKE_NODE_LIST

See Also:
  Constant Field Values

#### GET_UNPARSED_ENTITY_URI

    static final java.lang.String GET_UNPARSED_ENTITY_URI

See Also:
  Constant Field Values

#### STRING_TO_REAL

    static final java.lang.String STRING_TO_REAL

See Also:
  Constant Field Values

#### STRING_TO_REAL_SIG

    static final java.lang.String STRING_TO_REAL_SIG

See Also:
  Constant Field Values

#### STRING_TO_INT

    static final java.lang.String STRING_TO_INT

See Also:
  Constant Field Values

#### STRING_TO_INT_SIG

    static final java.lang.String STRING_TO_INT_SIG

See Also:
  Constant Field Values

#### XSLT_PACKAGE

    static final java.lang.String XSLT_PACKAGE

See Also:
  Constant Field Values

#### COMPILER_PACKAGE

    static final java.lang.String COMPILER_PACKAGE

See Also:
  Constant Field Values

#### RUNTIME_PACKAGE

    static final java.lang.String RUNTIME_PACKAGE

See Also:
  Constant Field Values

#### TRANSLET_CLASS

    static final java.lang.String TRANSLET_CLASS

See Also:
  Constant Field Values

#### TRANSLET_SIG

    static final java.lang.String TRANSLET_SIG

See Also:
  Constant Field Values

#### UNION_ITERATOR_SIG

    static final java.lang.String UNION_ITERATOR_SIG

See Also:
  Constant Field Values

#### TRANSLET_OUTPUT_SIG

    static final java.lang.String TRANSLET_OUTPUT_SIG

#### MAKE_NODE_SIG

    static final java.lang.String MAKE_NODE_SIG

See Also:
  Constant Field Values

#### MAKE_NODE_SIG2

    static final java.lang.String MAKE_NODE_SIG2

See Also:
  Constant Field Values

#### MAKE_NODE_LIST_SIG

    static final java.lang.String MAKE_NODE_LIST_SIG

See Also:
  Constant Field Values

#### MAKE_NODE_LIST_SIG2

    static final java.lang.String MAKE_NODE_LIST_SIG2

See Also:
  Constant Field Values

#### STREAM_XML_OUTPUT

    static final java.lang.String STREAM_XML_OUTPUT

#### OUTPUT_BASE

    static final java.lang.String OUTPUT_BASE

#### LOAD_DOCUMENT_CLASS

    static final java.lang.String LOAD_DOCUMENT_CLASS

See Also:
  Constant Field Values

#### KEY_INDEX_CLASS

    static final java.lang.String KEY_INDEX_CLASS

See Also:
  Constant Field Values

#### KEY_INDEX_SIG

    static final java.lang.String KEY_INDEX_SIG

See Also:
  Constant Field Values

#### KEY_INDEX_ITERATOR_SIG

    static final java.lang.String KEY_INDEX_ITERATOR_SIG

See Also:
  Constant Field Values

#### DOM_INTF

    static final java.lang.String DOM_INTF

See Also:
  Constant Field Values

#### DOM_IMPL

    static final java.lang.String DOM_IMPL

See Also:
  Constant Field Values

#### SAX_IMPL

    static final java.lang.String SAX_IMPL

See Also:
  Constant Field Values

#### STRING_CLASS

    static final java.lang.String STRING_CLASS

See Also:
  Constant Field Values

#### OBJECT_CLASS

    static final java.lang.String OBJECT_CLASS

See Also:
  Constant Field Values

#### BOOLEAN_CLASS

    static final java.lang.String BOOLEAN_CLASS

See Also:
  Constant Field Values

#### STRING_BUFFER_CLASS

    static final java.lang.String STRING_BUFFER_CLASS

See Also:
  Constant Field Values

#### STRING_WRITER

    static final java.lang.String STRING_WRITER

See Also:
  Constant Field Values

#### WRITER_SIG

    static final java.lang.String WRITER_SIG

See Also:
  Constant Field Values

#### TRANSLET_OUTPUT_BASE

    static final java.lang.String TRANSLET_OUTPUT_BASE

See Also:
  Constant Field Values

#### TRANSLET_OUTPUT_INTERFACE

    static final java.lang.String TRANSLET_OUTPUT_INTERFACE

#### BASIS_LIBRARY_CLASS

    static final java.lang.String BASIS_LIBRARY_CLASS

See Also:
  Constant Field Values

#### ATTRIBUTE_LIST_IMPL_CLASS

    static final java.lang.String ATTRIBUTE_LIST_IMPL_CLASS

See Also:
  Constant Field Values

#### DOUBLE_CLASS

    static final java.lang.String DOUBLE_CLASS

See Also:
  Constant Field Values

#### INTEGER_CLASS

    static final java.lang.String INTEGER_CLASS

See Also:
  Constant Field Values

#### RUNTIME_NODE_CLASS

    static final java.lang.String RUNTIME_NODE_CLASS

See Also:
  Constant Field Values

#### MATH_CLASS

    static final java.lang.String MATH_CLASS

See Also:
  Constant Field Values

#### BOOLEAN_VALUE

    static final java.lang.String BOOLEAN_VALUE

See Also:
  Constant Field Values

#### BOOLEAN_VALUE_SIG

    static final java.lang.String BOOLEAN_VALUE_SIG

See Also:
  Constant Field Values

#### INT_VALUE

    static final java.lang.String INT_VALUE

See Also:
  Constant Field Values

#### INT_VALUE_SIG

    static final java.lang.String INT_VALUE_SIG

See Also:
  Constant Field Values

#### DOUBLE_VALUE

    static final java.lang.String DOUBLE_VALUE

See Also:
  Constant Field Values

#### DOUBLE_VALUE_SIG

    static final java.lang.String DOUBLE_VALUE_SIG

See Also:
  Constant Field Values

#### DOM_PNAME

    static final java.lang.String DOM_PNAME

See Also:
  Constant Field Values

#### NODE_PNAME

    static final java.lang.String NODE_PNAME

See Also:
  Constant Field Values

#### TRANSLET_OUTPUT_PNAME

    static final java.lang.String TRANSLET_OUTPUT_PNAME

See Also:
  Constant Field Values

#### ITERATOR_PNAME

    static final java.lang.String ITERATOR_PNAME

See Also:
  Constant Field Values

#### DOCUMENT_PNAME

    static final java.lang.String DOCUMENT_PNAME

See Also:
  Constant Field Values

#### TRANSLET_PNAME

    static final java.lang.String TRANSLET_PNAME

See Also:
  Constant Field Values

#### INVOKE_METHOD

    static final java.lang.String INVOKE_METHOD

See Also:
  Constant Field Values

#### GET_NODE_NAME

    static final java.lang.String GET_NODE_NAME

See Also:
  Constant Field Values

#### CHARACTERSW

    static final java.lang.String CHARACTERSW

See Also:
  Constant Field Values

#### GET_CHILDREN

    static final java.lang.String GET_CHILDREN

See Also:
  Constant Field Values

#### GET_TYPED_CHILDREN

    static final java.lang.String GET_TYPED_CHILDREN

See Also:
  Constant Field Values

#### CHARACTERS

    static final java.lang.String CHARACTERS

See Also:
  Constant Field Values

#### APPLY_TEMPLATES

    static final java.lang.String APPLY_TEMPLATES

See Also:
  Constant Field Values

#### GET_NODE_TYPE

    static final java.lang.String GET_NODE_TYPE

See Also:
  Constant Field Values

#### GET_NODE_VALUE

    static final java.lang.String GET_NODE_VALUE

See Also:
  Constant Field Values

#### GET_ELEMENT_VALUE

    static final java.lang.String GET_ELEMENT_VALUE

See Also:
  Constant Field Values

#### GET_ATTRIBUTE_VALUE

    static final java.lang.String GET_ATTRIBUTE_VALUE

See Also:
  Constant Field Values

#### HAS_ATTRIBUTE

    static final java.lang.String HAS_ATTRIBUTE

See Also:
  Constant Field Values

#### ADD_ITERATOR

    static final java.lang.String ADD_ITERATOR

See Also:
  Constant Field Values

#### SET_START_NODE

    static final java.lang.String SET_START_NODE

See Also:
  Constant Field Values

#### RESET

    static final java.lang.String RESET

See Also:
  Constant Field Values

#### ATTR_SET_SIG

    static final java.lang.String ATTR_SET_SIG

#### GET_NODE_NAME_SIG

    static final java.lang.String GET_NODE_NAME_SIG

See Also:
  Constant Field Values

#### CHARACTERSW_SIG

    static final java.lang.String CHARACTERSW_SIG

#### CHARACTERS_SIG

    static final java.lang.String CHARACTERS_SIG

#### GET_CHILDREN_SIG

    static final java.lang.String GET_CHILDREN_SIG

See Also:
  Constant Field Values

#### GET_TYPED_CHILDREN_SIG

    static final java.lang.String GET_TYPED_CHILDREN_SIG

See Also:
  Constant Field Values

#### GET_NODE_TYPE_SIG

    static final java.lang.String GET_NODE_TYPE_SIG

See Also:
  Constant Field Values

#### GET_NODE_VALUE_SIG

    static final java.lang.String GET_NODE_VALUE_SIG

See Also:
  Constant Field Values

#### GET_ELEMENT_VALUE_SIG

    static final java.lang.String GET_ELEMENT_VALUE_SIG

See Also:
  Constant Field Values

#### GET_ATTRIBUTE_VALUE_SIG

    static final java.lang.String GET_ATTRIBUTE_VALUE_SIG

See Also:
  Constant Field Values

#### HAS_ATTRIBUTE_SIG

    static final java.lang.String HAS_ATTRIBUTE_SIG

See Also:
  Constant Field Values

#### GET_ITERATOR_SIG

    static final java.lang.String GET_ITERATOR_SIG

See Also:
  Constant Field Values

#### NAMES_INDEX

    static final java.lang.String NAMES_INDEX

See Also:
  Constant Field Values

#### NAMES_INDEX_SIG

    static final java.lang.String NAMES_INDEX_SIG

See Also:
  Constant Field Values

#### URIS_INDEX

    static final java.lang.String URIS_INDEX

See Also:
  Constant Field Values

#### URIS_INDEX_SIG

    static final java.lang.String URIS_INDEX_SIG

See Also:
  Constant Field Values

#### TYPES_INDEX

    static final java.lang.String TYPES_INDEX

See Also:
  Constant Field Values

#### TYPES_INDEX_SIG

    static final java.lang.String TYPES_INDEX_SIG

See Also:
  Constant Field Values

#### NAMESPACE_INDEX

    static final java.lang.String NAMESPACE_INDEX

See Also:
  Constant Field Values

#### NAMESPACE_INDEX_SIG

    static final java.lang.String NAMESPACE_INDEX_SIG

See Also:
  Constant Field Values

#### NS_ANCESTORS_INDEX_SIG

    static final java.lang.String NS_ANCESTORS_INDEX_SIG

See Also:
  Constant Field Values

#### PREFIX_URIS_IDX_SIG

    static final java.lang.String PREFIX_URIS_IDX_SIG

See Also:
  Constant Field Values

#### PREFIX_URIS_ARRAY_SIG

    static final java.lang.String PREFIX_URIS_ARRAY_SIG

See Also:
  Constant Field Values

#### HASIDCALL_INDEX

    static final java.lang.String HASIDCALL_INDEX

See Also:
  Constant Field Values

#### HASIDCALL_INDEX_SIG

    static final java.lang.String HASIDCALL_INDEX_SIG

See Also:
  Constant Field Values

#### TRANSLET_VERSION_INDEX

    static final java.lang.String TRANSLET_VERSION_INDEX

See Also:
  Constant Field Values

#### TRANSLET_VERSION_INDEX_SIG

    static final java.lang.String TRANSLET_VERSION_INDEX_SIG

See Also:
  Constant Field Values

#### LOOKUP_STYLESHEET_QNAME_NS_REF

    static final java.lang.String LOOKUP_STYLESHEET_QNAME_NS_REF

See Also:
  Constant Field Values

#### LOOKUP_STYLESHEET_QNAME_NS_SIG

    static final java.lang.String LOOKUP_STYLESHEET_QNAME_NS_SIG

See Also:
  Constant Field Values

#### EXPAND_STYLESHEET_QNAME_REF

    static final java.lang.String EXPAND_STYLESHEET_QNAME_REF

See Also:
  Constant Field Values

#### EXPAND_STYLESHEET_QNAME_SIG

    static final java.lang.String EXPAND_STYLESHEET_QNAME_SIG

See Also:
  Constant Field Values

#### DOM_FIELD

    static final java.lang.String DOM_FIELD

See Also:
  Constant Field Values

#### STATIC_NAMES_ARRAY_FIELD

    static final java.lang.String STATIC_NAMES_ARRAY_FIELD

See Also:
  Constant Field Values

#### STATIC_URIS_ARRAY_FIELD

    static final java.lang.String STATIC_URIS_ARRAY_FIELD

See Also:
  Constant Field Values

#### STATIC_TYPES_ARRAY_FIELD

    static final java.lang.String STATIC_TYPES_ARRAY_FIELD

See Also:
  Constant Field Values

#### STATIC_NAMESPACE_ARRAY_FIELD

    static final java.lang.String STATIC_NAMESPACE_ARRAY_FIELD

See Also:
  Constant Field Values

#### STATIC_NS_ANCESTORS_ARRAY_FIELD

    static final java.lang.String STATIC_NS_ANCESTORS_ARRAY_FIELD

See Also:
  Constant Field Values

#### STATIC_PREFIX_URIS_IDX_ARRAY_FIELD

    static final java.lang.String STATIC_PREFIX_URIS_IDX_ARRAY_FIELD

See Also:
  Constant Field Values

#### STATIC_PREFIX_URIS_ARRAY_FIELD

    static final java.lang.String STATIC_PREFIX_URIS_ARRAY_FIELD

See Also:
  Constant Field Values

#### STATIC_CHAR_DATA_FIELD

    static final java.lang.String STATIC_CHAR_DATA_FIELD

See Also:
  Constant Field Values

#### STATIC_CHAR_DATA_FIELD_SIG

    static final java.lang.String STATIC_CHAR_DATA_FIELD_SIG

See Also:
  Constant Field Values

#### FORMAT_SYMBOLS_FIELD

    static final java.lang.String FORMAT_SYMBOLS_FIELD

See Also:
  Constant Field Values

#### ITERATOR_FIELD_SIG

    static final java.lang.String ITERATOR_FIELD_SIG

See Also:
  Constant Field Values

#### NODE_FIELD

    static final java.lang.String NODE_FIELD

See Also:
  Constant Field Values

#### NODE_FIELD_SIG

    static final java.lang.String NODE_FIELD_SIG

See Also:
  Constant Field Values

#### EMPTYATTR_FIELD

    static final java.lang.String EMPTYATTR_FIELD

See Also:
  Constant Field Values

#### ATTRIBUTE_LIST_FIELD

    static final java.lang.String ATTRIBUTE_LIST_FIELD

See Also:
  Constant Field Values

#### CLEAR_ATTRIBUTES

    static final java.lang.String CLEAR_ATTRIBUTES

See Also:
  Constant Field Values

#### ADD_ATTRIBUTE

    static final java.lang.String ADD_ATTRIBUTE

See Also:
  Constant Field Values

#### ATTRIBUTE_LIST_IMPL_SIG

    static final java.lang.String ATTRIBUTE_LIST_IMPL_SIG

See Also:
  Constant Field Values

#### CLEAR_ATTRIBUTES_SIG

    static final java.lang.String CLEAR_ATTRIBUTES_SIG

See Also:
  Constant Field Values

#### ADD_ATTRIBUTE_SIG

    static final java.lang.String ADD_ATTRIBUTE_SIG

See Also:
  Constant Field Values

#### ADD_ITERATOR_SIG

    static final java.lang.String ADD_ITERATOR_SIG

See Also:
  Constant Field Values

#### ORDER_ITERATOR

    static final java.lang.String ORDER_ITERATOR

See Also:
  Constant Field Values

#### ORDER_ITERATOR_SIG

    static final java.lang.String ORDER_ITERATOR_SIG

See Also:
  Constant Field Values

#### SET_START_NODE_SIG

    static final java.lang.String SET_START_NODE_SIG

See Also:
  Constant Field Values

#### NODE_COUNTER

    static final java.lang.String NODE_COUNTER

See Also:
  Constant Field Values

#### NODE_COUNTER_SIG

    static final java.lang.String NODE_COUNTER_SIG

See Also:
  Constant Field Values

#### DEFAULT_NODE_COUNTER

    static final java.lang.String DEFAULT_NODE_COUNTER

See Also:
  Constant Field Values

#### DEFAULT_NODE_COUNTER_SIG

    static final java.lang.String DEFAULT_NODE_COUNTER_SIG

See Also:
  Constant Field Values

#### TRANSLET_FIELD

    static final java.lang.String TRANSLET_FIELD

See Also:
  Constant Field Values

#### TRANSLET_FIELD_SIG

    static final java.lang.String TRANSLET_FIELD_SIG

See Also:
  Constant Field Values

#### RESET_SIG

    static final java.lang.String RESET_SIG

See Also:
  Constant Field Values

#### GET_PARAMETER

    static final java.lang.String GET_PARAMETER

See Also:
  Constant Field Values

#### ADD_PARAMETER

    static final java.lang.String ADD_PARAMETER

See Also:
  Constant Field Values

#### PUSH_PARAM_FRAME

    static final java.lang.String PUSH_PARAM_FRAME

See Also:
  Constant Field Values

#### PUSH_PARAM_FRAME_SIG

    static final java.lang.String PUSH_PARAM_FRAME_SIG

See Also:
  Constant Field Values

#### POP_PARAM_FRAME

    static final java.lang.String POP_PARAM_FRAME

See Also:
  Constant Field Values

#### POP_PARAM_FRAME_SIG

    static final java.lang.String POP_PARAM_FRAME_SIG

See Also:
  Constant Field Values

#### GET_PARAMETER_SIG

    static final java.lang.String GET_PARAMETER_SIG

See Also:
  Constant Field Values

#### ADD_PARAMETER_SIG

    static final java.lang.String ADD_PARAMETER_SIG

See Also:
  Constant Field Values

#### STRIP_SPACE

    static final java.lang.String STRIP_SPACE

See Also:
  Constant Field Values

#### STRIP_SPACE_INTF

    static final java.lang.String STRIP_SPACE_INTF

See Also:
  Constant Field Values

#### STRIP_SPACE_SIG

    static final java.lang.String STRIP_SPACE_SIG

See Also:
  Constant Field Values

#### STRIP_SPACE_PARAMS

    static final java.lang.String STRIP_SPACE_PARAMS

See Also:
  Constant Field Values

#### GET_NODE_VALUE_ITERATOR

    static final java.lang.String GET_NODE_VALUE_ITERATOR

See Also:
  Constant Field Values

#### GET_NODE_VALUE_ITERATOR_SIG

    static final java.lang.String GET_NODE_VALUE_ITERATOR_SIG

See Also:
  Constant Field Values

#### GET_UNPARSED_ENTITY_URI_SIG

    static final java.lang.String GET_UNPARSED_ENTITY_URI_SIG

See Also:
  Constant Field Values

#### POSITION_INDEX

    static final int POSITION_INDEX

See Also:
  Constant Field Values

#### LAST_INDEX

    static final int LAST_INDEX

See Also:
  Constant Field Values

#### XMLNS_PREFIX

    static final java.lang.String XMLNS_PREFIX

See Also:
  Constant Field Values

#### XMLNS_STRING

    static final java.lang.String XMLNS_STRING

See Also:
  Constant Field Values

#### XMLNS_URI

    static final java.lang.String XMLNS_URI

See Also:
  Constant Field Values

#### XSLT_URI

    static final java.lang.String XSLT_URI

See Also:
  Constant Field Values

#### XHTML_URI

    static final java.lang.String XHTML_URI

See Also:
  Constant Field Values

#### TRANSLET_URI

    static final java.lang.String TRANSLET_URI

See Also:
  Constant Field Values

#### REDIRECT_URI

    static final java.lang.String REDIRECT_URI

See Also:
  Constant Field Values

#### FALLBACK_CLASS

    static final java.lang.String FALLBACK_CLASS

See Also:
  Constant Field Values

#### RTF_INITIAL_SIZE

    static final int RTF_INITIAL_SIZE

See Also:
  Constant Field Values